<?php

namespace Drupal\legal\Plugin\migrate\source\d7;

use Drupal\migrate\Plugin\migrate\source\SqlBase;
use Drupal\migrate\Row;

/**
 * Source plugin for Legal T&Cs.
 *
 * @MigrateSource(
 *   id = "d7_legal_conditions",
 *   source_module = "legal",
 *   destination_module = "core",
 * )
 */
class LegalConditions extends SqlBase {

  /**
   * {@inheritdoc}
   */
  public function query() {

    $query = $this->select('legal_conditions', 'c')
      ->fields('s', [
        'tc_id',
        'version',
        'revision',
        'language',
        'conditions',
        'date',
        'extras',
        'changes',
        'format',
      ]);

    return $query;
  }

  /**
   * {@inheritdoc}
   */
  public function fields() {

    $fields = [
      'tc_id'  => $this->t('T&C ID'),
      'version'  => $this->t('Version'),
      'revision'  => $this->t('Revision'),
      'language'  => $this->t('Language'),
      'conditions'  => $this->t('Terms & Conditions'),
      'date'  => $this->t('Date'),
      'extras'  => $this->t('Extras'),
      'changes'  => $this->t('Changes'),
      'format'  => $this->t('Format'),
    ];
    return $fields;
  }

  /**
   * {@inheritdoc}
   */
  public function getIds() {
    return [
      'tc_id' => [
        'type'  => 'integer',
        'alias' => 'c',
      ],
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function prepareRow(Row $row) {

//    $row->setSourceProperty('tc_id', $row->getSourceProperty('tc_id'));
//    $row->setSourceProperty('version', $row->getSourceProperty('version'));
//    $row->setSourceProperty('revision', $row->getSourceProperty('revision'));
//    $row->setSourceProperty('language', $row->getSourceProperty('language'));
//    $row->setSourceProperty('conditions', $row->getSourceProperty('conditions'));
//    $row->setSourceProperty('date', $row->getSourceProperty('date'));
//    $row->setSourceProperty('extras', $row->getSourceProperty('extras'));
//    $row->setSourceProperty('changes', $row->getSourceProperty('changes'));
//    $row->setSourceProperty('format', $row->getSourceProperty('format'));

    return parent::prepareRow($row);
  }

}
